Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.testing.transportlayer
Class LivenessTest

    java.lang.Object
      org.mpisws.p2p.testing.transportlayer.TLTest<SourceRoute<MultiInetSocketAddress>>
          org.mpisws.p2p.testing.transportlayer.SRTest
              org.mpisws.p2p.testing.transportlayer.LivenessTest

    public class LivenessTest

extends SRTest

Field Summary

Fields inherited from class org.mpisws.p2p.testing.transportlayer.SRTest
`GOOD_HDR`

Constructor Summary
`LivenessTest()`

Method Summary
`static int` | `getDelay(SourceRoute a, SourceRoute b)`
`SourceRoute<MultiInetSocketAddress>` | `getIdentifier(TransportLayer<SourceRoute<MultiInetSocketAddress>,java.nio.ByteBuffer> a, TransportLayer<SourceRoute<MultiInetSocketAddress>,java.nio.ByteBuffer> b)` A's view of b
`static void` | `setUpBeforeClass()`
`void` | `testLiveness()`
`void` | `testProximity()`

Methods inherited from class org.mpisws.p2p.testing.transportlayer.SRTest
`getBogusIdentifier, openTCP, sendUDP`

Methods inherited from class org.mpisws.p2p.testing.transportlayer.TLTest
`messageTooBigUDP, noCallbackTest, tearDownAfterClass, testSocketThreadSafety`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LivenessTest

    public LivenessTest()

Method Detail

### getIdentifier

    public SourceRoute<MultiInetSocketAddress> getIdentifier(TransportLayer<SourceRoute<MultiInetSocketAddress>,java.nio.ByteBuffer> a,
                                                             TransportLayer<SourceRoute<MultiInetSocketAddress>,java.nio.ByteBuffer> b)

  Description copied from class: `TLTest`
  A's view of b

  Overrides:
    `getIdentifier` in class `SRTest`
  Returns:
    A's view of b

### setUpBeforeClass

    public static void setUpBeforeClass()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDelay

    public static int getDelay(SourceRoute a,
                               SourceRoute b)

### testProximity

    public void testProximity()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLiveness

    public void testLiveness()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.